<?php
/**
 * Template Name: Home Custom Page
 */
get_header(); ?>

<main id="main" role="main">
  <?php do_action( 'fitness_gymhouse_before_slider' ); ?>

  <?php if( get_theme_mod('fitness_gymhouse_slider_hide') != ''){ ?>
    <section id="slider-section">
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
        <?php $slider_pages = array();
          for ( $count = 1; $count <=4; $count++ ) {
            $mod = intval( get_theme_mod( 'fitness_gymhouse_slide_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $slider_pages[] = $mod;
            }
          }
          if( !empty($slider_pages) ) :
          $args = array(
              'post_type' => 'page',
              'post__in' => $slider_pages,
              'orderby' => 'post__in'
          );
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <?php the_post_thumbnail(); ?>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <h1><a href="<?php echo esc_url( get_permalink() );?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h1>
                  <p><?php $excerpt = get_the_excerpt(); echo esc_html( fitness_gymhouse_string_limit_words( $excerpt, esc_attr(get_theme_mod('fitness_gymhouse_slider_excerpt_number','25')))); ?></p> 
                  <div class="slide-button">
                    <a href="<?php echo esc_url( get_permalink() );?>"><?php esc_html_e( 'READ MORE','fitness-gymhouse' ); ?><span class="screen-reader-text"><?php esc_attr_e( 'READ MORE','fitness-gymhouse' );?></span></a>
                  </div> 
                </div>
              </div>
          </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
        <div class="no-postfound"></div>
          <?php endif;
        endif;?>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-circle-left"></i></span>
          <span class="screen-reader-text"><?php esc_attr_e( 'Previous','fitness-gymhouse' );?></span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-circle-right"></i></span>
          <span class="screen-reader-text"><?php esc_attr_e( 'Next','fitness-gymhouse' );?></span>
        </a>
      </div>
      <div class="clearfix"></div>
    </section>
  <?php }?>

  <?php do_action( 'fitness_gymhouse_after_slider' ); ?>

  <?php if( get_theme_mod('fitness_gymhouse_about') != ''){ ?>
    <?php /*--About Us--*/?>
    <section class="about">
      <div class="container">
        <?php
          $postData1=  get_theme_mod('fitness_gymhouse_about');
         if($postData1){
         $args = array( 'name' => esc_html($postData1 ,'fitness-gymhouse'));
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            while ( $query->have_posts() ) : $query->the_post(); ?>
              <div class="row">
                <div class="col-lg-7 col-md-7">
                  <h2><?php the_title(); ?></h2>
                  <p><?php the_excerpt(); ?></p>
                  <div class ="about-btn">
                    <a href="<?php echo esc_url( the_permalink() ); ?>"><span><?php echo esc_html('KNOW MORE ABOUT US','fitness-gymhouse'); ?></span><span class="screen-reader-text"><?php esc_attr_e( 'KNOW MORE ABOUT US','fitness-gymhouse' );?></span></a>
                  </div>
                </div>
                <div class="col-lg-5 col-md-5">
                  <?php the_post_thumbnail(); ?>
                </div>
              </div>
          <?php endwhile; 
          wp_reset_postdata();?>
          <?php else : ?>
            <div class="no-postfound"></div>
          <?php
        endif; }?>
      </div>
    </section>
  <?php }?>
  <?php do_action( 'fitness_gymhouse_after_about' ); ?>
</main>

<?php get_footer(); ?>